#!/bin/sh

/bin/echo "***** Running sound card setup..."
/sbin/modprobe soundcore
#/sbin/insmod soundlow ## not required for Kernel 2.2.17 and later
/sbin/modprobe sound

### Add your sound card modules here. If you have a PNP
### soundcard, don't forget to create an isapnp.conf using
### pnpdump and copy it to /etc/
### If you use Kernel Version 2.4 and above ISAPNP is included
### in you Kernel and you don't need to run it here anymore.
### For SB you need to insmod sb_lib instead
### (I think there's something similar for other cards)

# Soundblaster AWE64, 16PnP, 16VibraPnP, 16(?)
### for oder kernels
#/sbin/isapnp /etc/isapnp.conf
#/sbin/insmod uart401
#/sbin/insmod sb_lib
#/sbin/insmod sb io=0x220 irq=5 dma=1 dma16=5 mpu_io=0x330
### for current kernel with kernel level isapnp support
/sbin/modprobe uart401
/sbin/modprobe sb_lib
/sbin/modprobe sb #resources should be detected by isapnp

# ad1816 based cards (like Terratect Base 1)
#/sbin/insmod ad1816

# Opti
#/sbin/insmod sb mad16=1
#/sbin/insmod ad1848
#/sbin/insmod mad16 io=0x530 irq=7 dma=0 dma16=1 joystick=1

### Other soundcard modules are included but not described here
### (so view Kernel documentation or Soundcard HowTo for these)
### for not included ones you have to compile your own modules / kernel

