#!/bin/sh
#
# tempfiles.sh - Initialize the temporary files
# needed by cmms (called by run.sh or etc/rc.d/player.sh)
#
echo
echo Initializing CMMS for startup...
echo

rm /tmp/fifo.control
rm /tmp/fifo.display
rm /tmp/fifo.player

if test -f /tmp/STATUS
then
    echo Status already set.
else
    echo Setting Status to default value.
    echo init >/tmp/STATUS
fi

if test -f /tmp/DEVICE
then
    echo Device already set.
else
    echo Setting Device to default value.
    echo 1 >/tmp/DEVICE
fi

if test -f /tmp/LIST
then
    echo List already set.
else
    echo Setting List to default value.
    echo 1 >/tmp/LIST
fi

if test -f /tmp/SONG
then
    echo Song already set.
else
    echo Setting Song to default value.
    echo 1 >/tmp/SONG
fi

if test -f /tmp/SONGID
then
    echo SongId already set.
else
    echo Setting SongId to default value.
    echo 1 >/tmp/SONGID
fi

if test -f /tmp/FRAMEPOS
then
    echo Framepos already set.
else
    echo Setting Framepos to default value.
    echo 0 >/tmp/FRAMEPOS
fi

if test -f /tmp/RANDOMMODE
then
    echo RandomMode already set.
else
    echo Setting Randommode to default value.
    echo off >/tmp/RANDOMMODE
fi

if test -f /tmp/VOLUME
then
    echo Volume already set.
else
    echo Setting Volume to default value.
    echo 52 >/tmp/VOLUME
fi

if test -f /tmp/BALANCE
then
    echo Balance already set.
else
    echo Setting Balance to default value.
    echo 0 >/tmp/BALANCE
fi

if test -f /tmp/BASS
then
    echo Bass already set.
else
    echo Setting Bass to default value.
    echo 52 >/tmp/BASS
fi

if test -f /tmp/TREBLE
then
    echo Treble already set.
else
    echo Setting Treble to default value.
    echo 52 >/tmp/TREBLE
fi

if test -f /tmp/nosay
then
    rm /tmp/nosay
fi

echo
echo Initialization finished - trying to execute CMMS now...
echo

# program is executed from run.sh (for testing)
# or from /etc/rc.d/player.sh

