/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/*
 * This is a pseudo cmms_config_keys.h file which
 * just includes other real keyconfig.h files
 * (this makes it easy to switch between different
 * configurations, but don't forget to recompile
 * with make clean; make; make install)
 *
 */

/* _Common_ */
/* delay (in loops of 1/20 secs) before a hold down key is being repeated */
#define KEY_REPEAT_DELAY 10
/* delay (in loops of 1/20 secs) which sets the repeat speed
 * (firt repeat after KEY_REPEAT_DELAY+KEY_REPEATSPEED_DELAY) */
#define KEY_REPEATSPEED_DELAY 2

/* _Different Keyboard Layouts - just select ONE_ */

/* default numpad input */
#include "cmms_config_keys_numpad.h"

/* this is my (Janosch) homemade input device in a car radio's case */
//#include "cmms_config_keys_janosch2.h"

/* create a copy of cmms_config_keys_numpad.h and add your own file here */
//#include "cmms_config_keys_....h
