/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/* _Definitions of control keys_ */

//
// Wheel, Unshifted and Shifted Keypad
//
#define MYWHEEL_LEFT	18			//	Wheel Left
#define MYWHEEL_RIGHT	19			//	Wheel Right
#define MYWHEEL_PUSH	16			//	Wheel Push Down

//
// Allmodes, Unshifted and Shifted Keypad
//
#define MYKEY_PAUSE		24			//	Pause
#define MYKEY_PAUSE2	1110		//	diabled

#define MYKEY_INFO		6500		//  disabled

#define MYKEY_STOP		25			//	Stop

//
// Control, UnShifted and Shifted Keypad
//
#define MYKEY_INFO2		5128			//	disabled
#define MYKEY_PAUSE3	36				//	1

#define MYKEY_CO_NUMIN	22				//	+
#define MYKEY_CO_NUMIN2	1650			//	disabled

#define MYKEY_REPLAY	78				//	Enter
#define MYKEY_REPLAY2	5300			//	disabled

//
// Control, UnShifted Keypad
//
#define MYKEY_PREVLIST	111			//	4
#define MYKEY_NEXTLIST	7			//	0

#define MYKEY_PREVSONG	102			//	5
#define MYKEY_NEXTSONG	66			//	9

#define MYKEY_JUMPBACK	67			//	6
#define MYKEY_JUMPBACK2	4120		//	disabled
#define MYKEY_JUMPFORW	12			//	8

#define MYKEY_VOLUME	110			//	3
#define MYKEY_VOLUME2	5130		//	disabled
#define MYKEY_VOLUME3	104			//	2

#define MYKEY_SEARCH	5120		//	disabled

#define MYKEY_CHANGDEV	43			//	Del
#define MYKEY_CHANGDEV2	1340		//	disabled
#define MYKEY_CHANGDEV3 1341		//	disabled
#define MYKEY_CHANGDEV4	1342		//	disabled

#define MYKEY_SWITCHTM	38			//	7
#define MYKEY_SWITCHTM2	4124		//	disabled
#define MYKEY_SWITCHTM3	4125		//	disabled

//
// Numinput, Unshifted and Shifted Keypad
//
#define MYKEY_NUMCLEAR	43			//	Del
#define MYKEY_NUMCLEAR2	1340		//	disabled
#define MYKEY_NUMCLEAR3	1341		//	disabled
#define MYKEY_NUMCLEAR4	1342		//	disabled

#define MYKEY_GOTOLIST	117			//	+
#define MYKEY_GOTOLIST2	1650		//	disabled

#define MYKEY_GOTOSONG	78			//	Enter
#define MYKEY_GOTOSONG2	5300		//	disabled

//
// Numinput, UnShifted Keypad
//
#define MYKEY_NUMBERA1	36
#define MYKEY_NUMBERA1B	6500
#define MYKEY_NUMBERA2	104
#define MYKEY_NUMBERA3	110
#define MYKEY_NUMBERA4	111
#define MYKEY_NUMBERA5	102
#define MYKEY_NUMBERA6  67
#define MYKEY_NUMBERA7	38
#define MYKEY_NUMBERA7B	4120
#define MYKEY_NUMBERA8	12
#define MYKEY_NUMBERA9	66
#define MYKEY_NUMBERA0	7

//
// Numinput, Shifted Keypad (these also switch from control to numinput!!)
//
#define MYKEY_NUMBERB1	901
#define MYKEY_NUMBERB2	902
#define MYKEY_NUMBERB3	903
#define MYKEY_NUMBERB4	904
#define MYKEY_NUMBERB5	905
#define MYKEY_NUMBERB6	906
#define MYKEY_NUMBERB7	907
#define MYKEY_NUMBERB8	908
#define MYKEY_NUMBERB9	909
#define MYKEY_NUMBERB0	900

//
// Volume, Unshifted and Shifted Keypad
//
#define MYKEY_VOLU_UP	110			//	3
#define MYKEY_VOLU_UP2	5130		//	disabled
#define MYKEY_VOLU_DW	104			//	2

#define MYKEY_BA_LEFT	67			//	6
#define MYKEY_BA_RIGH	12			//	8

#define MYKEY_BASS_UP	102			//	5
#define MYKEY_BASS_DW	111			//	4

#define MYKEY_TREB_UP	7			//	0
#define MYKEY_TREB_DW	66			//	9

#define MYKEY_SHOWBAL	38			//	7
#define MYKEY_SHOWBAL2	6500		//	disabled
#define MYKEY_SHOWBAL3	5360		//	disabled

#define MYKEY_V_CONTR	78			//	Enter
#define MYKEY_V_CONTR2	5300		//	disabled

#define MYKEY_V_NUMIN	22			//	+
#define MYKEY_V_NUMIN2	1650		//	disabled

