/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/* _Definitions of control keys_ */

/* wheel */
#define WHEEL_LEFT              105     //  <-
#define WHEEL_RIGHT             106     //  ->
#define WHEEL_PUSH              108     //  \|/

/* keyboard_allmodes */
#define ALLMODES_STOP           55      //  *
#define ALLMODES_PAUSE          74      //  -
#define ALLMODES_SAYINFO        98      //  /

/* keyboard_control */
#define CONTROL_CHANGERND       81      //  3
#define CONTROL_CHANGEDEV       83      //  ,
#define CONTROL_NEXTLIST        80      //  2
#define CONTROL_NEXTSONG        77      //  6
#define CONTROL_JUMPFW          73      //  9
#define CONTROL_PREVLIST        72      //  8
#define CONTROL_PREVSONG        75      //  4
#define CONTROL_JUMPBW          71      //  7
#define CONTROL_VOLUMEUP        79      //  1
#define CONTROL_VOLUMEDOWN      82      //  0
#define CONTROL_NUMINPUT        69      //  Num
#define CONTROL_NUMINPUT_OLD    78      //  Plus

/* keyboard_numinput */
#define NUM_0                   82      //  0
#define NUM_1                   79      //  1
#define NUM_2                   80      //  2
#define NUM_3                   81      // ...
#define NUM_4                   75
#define NUM_5                   76
#define NUM_6                   77
#define NUM_7                   71
#define NUM_8                   72      // ...
#define NUM_9                   73      //  9
#define NUM_GOTOLIST            78      //  +
#define NUM_GOTOSONG            96      //  enter
#define NUM_CONTROL             69      //  Num

/* keyboard_mixer */
#define MIXER_VOLUMEUP          79      //  1
#define MIXER_VOLUMEDOWN        82      //  0
#define MIXER_BALANCELEFT       75      //  4
#define MIXER_BALANCERIGHT      77      //  6
#define MIXER_BASSUP            72      //  8
#define MIXER_BASSDOWN          80      //  2
#define MIXER_TREBLEUP          73      //  9
#define MIXER_TREBLEDOWN        81      //  3
#define MIXER_MODECONTROL       96      //  enter
