/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/* _Includes_ */
#include <stdio.h>
#include <getopt.h>
#include <unctrl.h>
/* mixer */
#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <signal.h>
#include <sys/soundcard.h>
//alt://#include <machine/soundcard.h>
#include <fcntl.h>
#include <unistd.h>
#include <pthread.h>
#include <errno.h>

/* _Definitions_ */
/* command line options */
#define OPF_DEBUG   'd'
#define OPF_HELP    'h'
/* Inter Process Communication */
#define MAX_INPUT_BUFFER 255
/* player modi */
#define PLAYER_MODESTOPPED  0
#define PLAYER_MODEPAUSED   1
#define PLAYER_MODEPLAYING  2

/* _Variables_ */
bool debug;
int player_mode;
/* mixer */
int volume;
int balance;
int bass;
int treble;

/* Inter Process Communication */
FILE *controlfifo = NULL;
FILE *playerfifo = NULL;
FILE *displayfifo = NULL;

/* _Functions_ */
void usage();
void debugmsg();
void timer_starttimer();
void timer_signals();
void ipc_init();
void ipc_close();
void ipc_read();
void player_startup();
void player_restart();
void player_stop();
void player_pause();
void player_changedev();
void player_changernd();
void player_nextlist();
void player_nextsong();
void player_jumpfw();
void player_prevlist();
void player_prevsong();
void player_jumpbw();
void player_jump();
void player_jumpto();
void player_gotosong();
void player_gotolist();
void player_sayinfo();
void mixer_init();
void mixer_load();
void mixer_save();
void mixer_volumeup();
void mixer_volumedown();
void mixer_setvolume();
void mixer_balanceleft();
void mixer_balanceright();
void mixer_setbalance();
void mixer_bassup();
void mixer_bassdown();
void mixer_trebleup();
void mixer_trebledown();
void mixer_settone();
void oss_init();
void oss_getvolume();
void oss_setvolume();
void oss_settone();
void player_command();
void display_command();
void read_string();
int read_int();
void write_string();
void write_int();
