/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/* _Includes_ */
#include <stdio.h>
#include <getopt.h>
#include <unctrl.h>
#include <signal.h>
#include <sys/time.h>

/* _Definitions_ */
/* command line options */
#define OPF_LCD     'l'
#define OPF_DEBUG   'd'
#define OPF_HELP    'h'
#define OPF_ID3TAG  't'
/* Inter Process Communication */
#define MAX_INPUT_BUFFER 255

/* display modi */
/* refering to KEYBOARD_... modes of cmms.c */
#define DISPLAY_MODECONTROL     0
#define DISPLAY_MODENUMINPUT    1
#define DISPLAY_MODEMIXER       2
/* own special modes */
//#define DISPLAY_MODEMIXER_VOL 3

/* Lcd string constants */
#define LCD_SPACES "                                        "
#define LCD_BLOCKS ""

/* _Variables_ */
bool lcd;
bool debug;
bool id3tag;
/* Inter Process Communication */
FILE *displayfifo = NULL;
/* Device Files */
FILE* lcddev;
/* Common Display */
bool display_started;
int display_mode;
char display_timegone[7];
char display_timeleft[7];
char display_title[128];
char display_id3tagtitle[128];
char display_status[5];
int display_device, display_list, display_song;
int display_volume, display_balance, display_bass, display_treble;
char display_randommode[4];
/* Lcd Display */
char lcd_title[128];
char lcd_currenttitle[168];
int lcd_title_x;
bool lcd_welcomedisplayed;
int lcd_scrolldelaycounter;
int lcd_statusdelaycounter;
int lcd_volume, lcd_balance, lcd_bass, lcd_treble;
int lcd_action;

/* _Functions_ */
void usage();
void debugmsg();
void ipc_init();
void ipc_close();
void ipc_read();
/* Common Display */
void display_init();
void display_close();
void display_reset();
void display_clear();
void display_startup();
void display_restart();
void display_settitle();
void display_setid3tagtitle();
void display_setstatus();
void display_settime();
void display_setvolume();
void display_setbalance();
void display_setbass();
void display_settreble();
void display_setrandommode();
void display_setmode();
void display_starttimer();
void display_signals();
/* Lcd Display */
void lcd_init();
void lcd_close();
void lcd_reset();
void lcd_clear();
void lcd_pos();
void lcd_startup();
void lcd_sigalrm();
void lcd_printstatus();
void lcd_printvolumebar();
void lcd_printtitle();
