
/* 
 * creatempl.c - part of a car mp3 player package
 * written by Tobias Weihmann, licensed under GPL
 *
 * 2000/03/16 V0.1
 *
 */

#define MPL_FILE "/tmp/MPL"
#define DEBUG 0

#include <stdio.h>
#include <sys/types.h>
#include <dirent.h>
#include <string.h>

int main(int argc, char **argv) {
	FILE *mpl;
	DIR *md, *sd;
	int sdcounter = 1, fcounter = 0, deviceno = 0;
	int i, j, sdentref, mdentref;
	char filename[NAME_MAX];
	char endung[5];
	struct dirent *mdent, **mdentlist, *sdent, **sdentlist;

	if (argc != 3) {
		fprintf(stderr, "[creatempl]Usage: creatempl <path> <deviceno>\n");
		exit(1);
	}

	mpl=fopen(MPL_FILE,"a");
	if (mpl==NULL) {
		fprintf(stderr, "[creatempl]Could not open MPL file <%s>.\n", MPL_FILE);
		exit(1);
	}

	md=opendir(argv[1]);
	if (md==NULL) {
        fprintf(stderr,"[creatempl]Error: Could not change to %s.\n",argv[1]);
		exit(1);
    }

	deviceno = atoi(argv[2]);
	printf("[creatempl]Creating MasterPlayList for device %d, path %s...\n",deviceno, argv[1]);

	fprintf(mpl, "%d 0 0 %s\n", deviceno, argv[1]);

	mdent=readdir(md);
	while (mdent!=NULL) {
		if ((strcmp(mdent->d_name, ".") != 0) &&
	   	    (strcmp(mdent->d_name, "..") != 0))
		{
			strcpy(filename, argv[1]);
			strcat(filename, "/");
			strcat(filename, mdent->d_name);
			if (DEBUG) printf("[creatempl]Parsing subdirectory %s...\n",mdent->d_name);

			sdentref = scandir(filename, &sdentlist, NULL, alphasort);
			for (j=0; j<sdentref; j++) {
				sdent = sdentlist[j];
				if (DEBUG) printf("[creatempl]Parsing file %s...\n",sdent->d_name);
				if (strlen(sdent->d_name)>4) {
					strcpy(endung, &sdent->d_name[strlen(sdent->d_name)-4]);
					if ( strcmp(endung,".mp3")==0 || strcmp(endung,".Mp3")==0 || strcmp(endung,".MP3")==0 ) {
						if (fcounter==0)
							 fprintf(mpl, "%d %d %d %s\n",deviceno,sdcounter++, fcounter++, mdent->d_name);
						fprintf(mpl, "%d %d %d %s/%s\n",deviceno,sdcounter-1, fcounter++, filename,sdent->d_name);
					}
				}
				if (fcounter > 32000) break;
			}
			for (j=0; j<sdentref; j++)
				free(sdentlist[j]);
			free(sdentlist);
			fcounter = 0;
		}
		if (sdcounter > 32000) break;
		mdent=readdir(md);
	}

	fclose(mpl);
	return 0;
}
