/*
 * cmms.h
 *
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <the.cunning@gmx.net>
 *
 */

/*
 * This is the keyconfig.h file for CMMS with
 * HOMEMADE INPUT DEVICE CONNECTED TO A KEYBOARD CONTROLLER
 *
 */

/* BEGIN Definitions of control keys */

//
// Wheel, Unshifted and Shifted Keypad
//
#define MYWHEEL_LEFT	101			//	Wheel Left
#define MYWHEEL_RIGHT	114			//	Wheel Right
#define MYWHEEL_PUSH	113			//	Wheel Push Down

//
// Allmodes, Unshifted and Shifted Keypad
//
#define MYKEY_PAUSE		111			//	Pause
#define MYKEY_PAUSE2	1110		//	diabled

#define MYKEY_INFO		6500		//  disabled

#define MYKEY_STOP		112			//	Stop

//
// Control, UnShifted and Shifted Keypad
//
#define MYKEY_INFO2		5128			//	disabled
#define MYKEY_PAUSE3	106				//	1

#define MYKEY_CO_NUMIN	117				//	+
#define MYKEY_CO_NUMIN2	1650			//	disabled

#define MYKEY_REPLAY	43				//	Enter
#define MYKEY_REPLAY2	5300			//	disabled

//
// Control, UnShifted Keypad
//
#define MYKEY_PREVLIST	330			//	4
#define MYKEY_NEXTLIST	54			//	0

#define MYKEY_PREVSONG	262			//	5
#define MYKEY_NEXTSONG	272			//	9

#define MYKEY_JUMPBACK	273			//	6
#define MYKEY_JUMPBACK2	4120		//	disabled
#define MYKEY_JUMPFORW	45			//	8

#define MYKEY_VOLUME	331			//	3
#define MYKEY_VOLUME2	5130		//	disabled
#define MYKEY_VOLUME3	339			//	2

#define MYKEY_SEARCH	5120		//	disabled

#define MYKEY_CHANGDEV	92			//	Del
#define MYKEY_CHANGDEV2	1340		//	disabled
#define MYKEY_CHANGDEV3 1341		//	disabled
#define MYKEY_CHANGDEV4	1342		//	disabled

#define MYKEY_SWITCHTM	108			//	7
#define MYKEY_SWITCHTM2	4124		//	disabled
#define MYKEY_SWITCHTM3	4125		//	disabled

//
// Numinput, Unshifted and Shifted Keypad
//
#define MYKEY_NUMCLEAR	92		//	Del
#define MYKEY_NUMCLEAR2	1340		//	disabled
#define MYKEY_NUMCLEAR3	1341		//	disabled
#define MYKEY_NUMCLEAR4	1342		//	disabled

#define MYKEY_GOTOLIST	117		//	+
#define MYKEY_GOTOLIST2	1650		//	disabled

#define MYKEY_GOTOSONG	43		//	Enter
#define MYKEY_GOTOSONG2	5300		//	disabled

//
// Numinput, UnShifted Keypad
//
#define MYKEY_NUMBERA1	106
#define MYKEY_NUMBERA1B	6500
#define MYKEY_NUMBERA2	339
#define MYKEY_NUMBERA3	331
#define MYKEY_NUMBERA4	330
#define MYKEY_NUMBERA5	262
#define MYKEY_NUMBERA6  273
#define MYKEY_NUMBERA7	108
#define MYKEY_NUMBERA7B	4120
#define MYKEY_NUMBERA8	45
#define MYKEY_NUMBERA9	272
#define MYKEY_NUMBERA0	54

//
// Numinput, Shifted Keypad (these also switch from control to numinput!!)
//
#define MYKEY_NUMBERB1	901
#define MYKEY_NUMBERB2	902
#define MYKEY_NUMBERB3	903
#define MYKEY_NUMBERB4	904
#define MYKEY_NUMBERB5	905
#define MYKEY_NUMBERB6	906
#define MYKEY_NUMBERB7	907
#define MYKEY_NUMBERB8	908
#define MYKEY_NUMBERB9	909
#define MYKEY_NUMBERB0	900

//
// Volume, Unshifted and Shifted Keypad
//
#define MYKEY_VOLU_UP	331			//	3
#define MYKEY_VOLU_UP2	5130		//	disabled
#define MYKEY_VOLU_DW	339			//	2

#define MYKEY_BA_LEFT	273			//	6
#define MYKEY_BA_RIGH	45			//	8

#define MYKEY_BASS_UP	262			//	5
#define MYKEY_BASS_DW	330			//	4

#define MYKEY_TREB_UP	54			//	0
#define MYKEY_TREB_DW	272			//	9

#define MYKEY_SHOWBAL	108			//	7
#define MYKEY_SHOWBAL2	6500		//	disabled
#define MYKEY_SHOWBAL3	5360		//	disabled

#define MYKEY_V_CONTR	43			//	Enter
#define MYKEY_V_CONTR2	5300		//	disabled

#define MYKEY_V_NUMIN	117			//	+
#define MYKEY_V_NUMIN2	1650		//	disabled

/* END Definitions of control keys */
