/*
 * cmms.h
 *
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <the.cunning@gmx.net>
 *
 */

/*
 * This is the keyconfig.h file for CMMS with
 * NUMERIC KEYPAD INPUT
 *
 */

/* BEGIN Definitions of control keys */

//
// Wheel, Unshifted and Shifted Keypad
//
#define MYWHEEL_LEFT		121		//	Y
#define MYWHEEL_RIGHT		120		//	X
#define MYWHEEL_PUSH		99		//	C

//
// Allmodes, Unshifted and Shifted Keypad
//
#define MYKEY_PAUSE		055			//	-
#define MYKEY_PAUSE2	0500		//	-

#define MYKEY_INFO		057			//	/

#define MYKEY_STOP		052			//	*

//
// Control, UnShifted and Shifted Keypad
//
#define MYKEY_INFO2		9902		//	disabled
#define MYKEY_PAUSE3	9901		//	disabled

#define MYKEY_CO_NUMIN	053			//	+
#define MYKEY_CO_NUMIN2	0501		//	+

#define MYKEY_REPLAY	KEY_ENTER	//	Enter
#define MYKEY_REPLAY2	015			//	Enter

//
// Control, UnShifted Keypad
//
#define MYKEY_PREVLIST	KEY_UP		//	Up
#define MYKEY_NEXTLIST	KEY_DOWN	//	Down

#define MYKEY_PREVSONG	KEY_LEFT	//	Left
#define MYKEY_NEXTSONG	KEY_RIGHT	//	Right

#define MYKEY_JUMPBACK	KEY_HOME	//	Home
#define MYKEY_JUMPBACK2	KEY_FIND	//	Home
#define MYKEY_JUMPFORW	KEY_PPAGE	//	PageUp

#define MYKEY_VOLUME	KEY_END		//	End
#define MYKEY_VOLUME2	KEY_SELECT	//	End
#define MYKEY_VOLUME3	KEY_IC		//	Ins

#define MYKEY_SEARCH	KEY_NPAGE	//	PageDown

#define MYKEY_CHANGDEV	KEY_DC		//	Del
#define MYKEY_CHANGDEV2	KEY_SDC		//	Del
#define MYKEY_CHANGDEV3 54		//	Del
#define MYKEY_CHANGDEV4	56		//	Del

#define MYKEY_SWITCHTM	KEY_B2		//	Center(5)
#define MYKEY_SWITCHTM2	536		//	Center(5)
#define MYKEY_SWITCHTM3	65		//	Center(5)

//
// Numinput, Unshifted and Shifted Keypad
//
#define MYKEY_NUMCLEAR	KEY_DC		//	Del
#define MYKEY_NUMCLEAR2	KEY_SDC		//	Del
#define MYKEY_NUMCLEAR3	054			//	Del
#define MYKEY_NUMCLEAR4	056			//	Del

#define MYKEY_GOTOLIST	053			//	+
#define MYKEY_GOTOLIST2	0501		//	+

#define MYKEY_GOTOSONG	KEY_ENTER	//	Enter
#define MYKEY_GOTOSONG2	015			//	Enter

//
// Numinput, UnShifted Keypad
//
#define MYKEY_NUMBERA1	KEY_END
#define MYKEY_NUMBERA1B	KEY_SELECT
#define MYKEY_NUMBERA2	KEY_DOWN
#define MYKEY_NUMBERA3	KEY_NPAGE
#define MYKEY_NUMBERA4	KEY_LEFT
#define MYKEY_NUMBERA5	536
#define MYKEY_NUMBERA6	KEY_RIGHT
#define MYKEY_NUMBERA7	KEY_HOME
#define MYKEY_NUMBERA7B	KEY_FIND
#define MYKEY_NUMBERA8	KEY_UP
#define MYKEY_NUMBERA9	KEY_PPAGE
#define MYKEY_NUMBERA0	KEY_IC

//
// Numinput, Shifted Keypad (these also switch from control to numinput!!)
//
#define MYKEY_NUMBERB1	KEY_C1
#define MYKEY_NUMBERB2	KEY_SNEXT
#define MYKEY_NUMBERB3	KEY_C3
#define MYKEY_NUMBERB4	KEY_SLEFT
#define MYKEY_NUMBERB5	KEY_B2
#define MYKEY_NUMBERB6	KEY_SRIGHT
#define MYKEY_NUMBERB7	KEY_A1
#define MYKEY_NUMBERB8	KEY_SPREVIOUS
#define MYKEY_NUMBERB9	KEY_A3
#define MYKEY_NUMBERB0	KEY_SIC

//
// Volume, Unshifted and Shifted Keypad
//
#define MYKEY_VOLU_UP	KEY_END		//	End
#define MYKEY_VOLU_UP2	KEY_SELECT	//	End
#define MYKEY_VOLU_DW	KEY_IC		//	Ins

#define MYKEY_BA_LEFT	KEY_LEFT	//	Left
#define MYKEY_BA_RIGH	KEY_RIGHT	//	Right

#define MYKEY_BASS_UP	KEY_UP		//	Up
#define MYKEY_BASS_DW	KEY_DOWN	//	Down

#define MYKEY_TREB_UP	KEY_PPAGE	//	PageUp
#define MYKEY_TREB_DW	KEY_NPAGE	//	PageDown

#define MYKEY_SHOWBAL	KEY_B2		//	Center(5)
#define MYKEY_SHOWBAL2	65			//	Center(5)
#define MYKEY_SHOWBAL3	536			//	Center(5)

#define MYKEY_V_CONTR	KEY_ENTER	//	Enter
#define MYKEY_V_CONTR2	015			//	Enter

#define MYKEY_V_NUMIN	053			//	+
#define MYKEY_V_NUMIN2	0501		//	+

/* END Definitions of control keys */
