
/*
 * numpad.c - part of a car mp3 player package
 * written by Tobias Weihmann, licensed under GPL
 *
 * 2000/04/07 V0.1
 *
 *** changed by Janosch Rolles 2000/09/12
 */


#include <stdio.h>
#include <curses.h>
#include <ctype.h>
#include <math.h>
#define EXECPATH "/usr/bin/"

void start(char *);
void digit(int);

int digits=0;
int value=0;

int main() {
	short c;
	char cmd[255];
	initscr(); cbreak(); noecho();
	nonl(); intrflush(stdscr, FALSE); keypad(stdscr, TRUE);
	start("nextsong");
	ungetch(052);
	ungetch(052);
	ungetch(052);
	do {
		c = getch();
		switch(c) {
			// Non-Shifted Keypad
			case KEY_UP: // oben = Playlist zurueck
				start("prevlist");
				break;
			case KEY_LEFT: // links = Song zurueck
				start("prevsong");
				break;
			case KEY_RIGHT: // rechts = Song weiter
				start("nextsong");
				break;
			case KEY_DOWN: // unten = Playlist weiter
				start("nextlist");
				break;
			case KEY_HOME:
			case KEY_FIND: // "Home" 7
				start("nothing");
				break;
			case KEY_END:
			case KEY_SELECT: // "End" 1
				start("volumeup");
				break;
			case KEY_PPAGE: // "Page Up" 9
				start("bassup");
				break;
			case KEY_NPAGE: // "Page Down" 3
				start("bassdown");
				break;
			case KEY_IC: // "Insert" 0
				start("volumedown");
				break;
			case KEY_DC: // "Delete" ,
				start("changedev");
				break;
			// Shifted Keypad
			case KEY_A1: // 7
				digit(7);
				break;
			case KEY_A3: // 9
				digit(9);
				break;
			case KEY_C1: // 1
				digit(1);
				break;
			case KEY_C3: // 3
				digit(3);
				break;
			case KEY_SPREVIOUS: // 8
				digit(8);
				break;
			case KEY_SNEXT: // 2
				digit(2);
				break;
			case KEY_B2: // 5
				digit(5);
				break;
			case KEY_SIC: // 0
				digit(0);
				break;
			case KEY_SLEFT: // 4
				digit(4);
				break;
			case KEY_SRIGHT: // 6
				digit(6);
				break;
			case 054:
			case KEY_SDC: // ,
				start("changedev");
				break;
			// Unshifted and Shifted Keypad
			case 055:
			case 0500: // -
				start("pause");
				break;
			case 053:
			case 0501: // +
				digits=0;
				sprintf(cmd, "%sgotolist.sh %d", EXECPATH, value);
				value=0;
				//printw("%s\n",cmd);
				system(cmd);
				break;
			case 057: // /
				start("info");
				break;
			case 052: // *
				start("stop");
				break;
			case 015:
			case KEY_ENTER: // "Enter" ,
				digits=0;
				sprintf(cmd, "%sgotosong.sh %d", EXECPATH, value);
				value=0;
				//printw("%s\n",cmd);
				system(cmd);
				break;
			case ERR:
				break;
			default:
				if (isdigit(c)) {
					digit(c-060);
				} else {
				        start("changedev");
				        break;
					//printw("\nOktagonaler Wert: %o\n",c); // DEL seems to be only key which causes this (cun)
				}
				break;
		}
	} while (1);
}
void start(char *str) {
	char cmd[255];
	sprintf(cmd, "%s%s.sh",EXECPATH,str);
	//printw("%s\n",cmd);
	system(cmd);
}
void digit(int d) {
	if (digits < 4) {
		value=d+value*10;
		digits++;
	}
}
