
/*
 * pathtoname.c - part of a car mp3 player package
 * written by Tobias Weihmann, licensed under GPL
 *
 * 2000/03/16 V0.1
 *
 */

#include <stdio.h>
#include <string.h>
#include <dirent.h>
#include <ctype.h>

void pathtoname(char *path, char *songname);

#ifndef PRINTMPL
int main(int argc, char **argv) {
	char songname[NAME_MAX];

	if (argc != 2) {
		fprintf(stderr, "Usage: pathtoname <pathname>\n");
		exit(1);
	}

	pathtoname(argv[1],songname);
	printf("%s\n",songname);
	return 0;
}
#endif

void pathtoname(char *path, char *songname) {
	int i;
	if ( strlen(path)>=6 && ( strcmp(&path[strlen(path)-4],".mp3")==0 || strcmp(&path[strlen(path)-4],".Mp3")==0 || strcmp(&path[strlen(path)-4],".MP3")==0 || strcmp(&path[strlen(path)-4],".Mp3")==0 ) )
		path[strlen(path)-4] = '\0';
	if (path[strlen(path)-1] == '/') path[strlen(path)-1] = '\0';

	for (i=strlen(path)-1; i>=0; i--) {
		if (path[i] == '/') break;
		if (path[i] == '_') path[i] = ' ';
	}
	if (path[i+1] == '~') {
		i++;
		strcat(path," (versteckt)");
	}
	if (path[i+1] == '[') i++;
	if (isdigit(path[i+1])) i++;
	if (isdigit(path[i+1])) i++;
	if (path[i+1] == ']') i++;
	if (path[i+1] == '.') i++;
	if (path[i+1] == ' ') i++;
	if (path[i+1] == '-') i++;
	if (path[i+1] == ' ') i++;
	path[i+1] = toupper(path[i+1]);
	strcpy(songname, &path[i+1]);
}
