
/*
 * printmpl.c - part of a car mp3 player package
 * written by Tobias Weihmann, licensed under GPL
 *
 * 2000/04/18 V0.1 Initial version
 * 2000/11/08 V0.2 Added links for webserver control
 * 2002/03/18 V0.3 Revised webserver control for 0.92
 *
 */

#define MPL_FILE "/tmp/MPL"

#define PRINTMPL 1
#include <stdio.h>
#include <dirent.h>
#include "pathtoname.c"

int main(int argc, char **argv) {
	FILE *mpl;
	char filename[NAME_MAX];
	char songname[NAME_MAX];
	int dev,song,list, row;

	if (argc != 1) {
		fprintf(stderr,"Usage: printmpl\n");
		exit(1);
	}

	mpl = fopen(MPL_FILE, "r");
	if (mpl == NULL) {
		fprintf(stderr, "Could not open MPL file <%s>.\n", MPL_FILE);
		exit(1);
	}

	printf("<HTML><HEAD><TITLE>Auto MP3 Player</TITLE></HEAD><BODY LINK=#000000 ALINK=#000000>\n");
	printf("<FONT FACE=\"Arial\"><h1>cmms - car multimedia system</h1>\n");
	
	printf("\n<h2>Groups</h2><OL>");	
	while (!feof(mpl)) {
		fscanf(mpl, "%d%d%d %[^\n]", &dev, &list, &song, filename);
		pathtoname(filename, songname);
		if (list==0)
			printf("<LI><A HREF=\"#%04d00000000\">%s</A> ",dev,songname);
	}
	printf("\n</OL>");
	rewind(mpl);
	
	printf("<h2>List of Albums</h2>\n");
	printf("<TABLE WIDTH=98% BORDER=1 CELLPADDING=8>\n");
	row=0;
	while (!feof(mpl)) {
		fscanf(mpl, "%d%d%d %[^\n]", &dev, &list, &song, filename);
		pathtoname(filename, songname);
		if (list == 0) {
			printf("</OL></TD>");
			if (row++ > 1) { 
				printf("</TR><TR>");
				row=1;
			}
			printf("<TD WIDTH=50% VALIGN=TOP><A NAME=\"%04d00000000\"></A><FONT SIZE=5>%s</FONT>&nbsp;&nbsp;&nbsp;<FONT SIZE=4>(Gruppe %d)</FONT><br><hr>\n<OL>\n",dev, songname, dev);
		} else if (song == 0)
			printf("<LI><A HREF=\"#%04d%04d0000\">%s</A>\n", dev, list, songname);	
	}
	printf("</TABLE>\n\n");
	rewind(mpl);
	
	printf("<h2>Albums</h2>\n");
	row=0;
	while (!feof(mpl)) {
		if (fscanf(mpl, "%d%d%d %[^\n]", &dev, &list, &song, filename) < 4) break;
		pathtoname(filename, songname);
		if (list == 0) {
			printf("</TABLE><P><TABLE BORDER=1 WIDTH=95%% CELLPADDING=8><A NAME=\"%04d%04d0000\"></A>\n",dev,list);
			printf("<TR><TD COLSPAN=2><FONT SIZE=5>%s</FONT>&nbsp;&nbsp;&nbsp;<FONT SIZE=4>(Group %d)</FONT></TD></TR>\n",songname, dev);
			row=0;
		} else if (song == 0) {
			printf("</OL></TD>");
			if (row++>1) {
				row=1;
				printf("</TR><TR>");
			}
			printf("<TD WIDTH=50% VALIGN=TOP>\n");
			printf("<FONT SIZE=5>%d</FONT>&nbsp;&nbsp;&nbsp;<FONT SIZE=4><A NAME=\"%04d%04d0000\" HREF=\"/cgi-bin/choose.sh?song=%04d%04d0000\">%s</A></FONT><br><hr>\n", list, dev, list, dev, list,songname);
			printf("<OL>");	
		} else
			printf("<LI></A><A NAME=\"%04d%04d%04d\" HREF=\"/cgi-bin/choose.sh?song=%04d%04d%04d\">%s</A>\n",dev, list, song, dev, list, song, songname);		
	}
	printf("</OL></TABLE></BODY></HTML>\n");

	fclose(mpl);
	return 0;
}
